Bug 252926 - networkmanager is missing a requirement
Summary: networkmanager is missing a requirement
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-16 06:36 UTC by Harald Hoyer
Modified: 2008-11-13 22:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-13 22:45:51 UTC


Attachments (Terms of Use)

Description Harald Hoyer 2007-08-16 06:36:54 UTC
If I install NetworkManager from devel on a Fedora 7, I have:

# ldd -r $(which  NetworkManager )
...
undefined symbol: g_once_init_enter_impl        (/usr/sbin/NetworkManager)
undefined symbol: g_once_init_leave     (/usr/sbin/NetworkManager)

There is a more restrictive requirement on the new version of, I guess, glib needed.

Comment 1 Matthias Clasen 2007-08-17 05:36:42 UTC
yes, those symbols have appeared in glib 2.14.0

Comment 2 Bug Zapper 2008-04-04 13:36:46 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Charles R. Anderson 2008-11-13 22:45:51 UTC
This bug seems obsolete to me.  Closing.


Note You need to log in before you can comment on or make changes to this bug.